Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class GrailsOpenSessionInViewFilter

    java.lang.Object
      org.springframework.web.filter.GenericFilterBean
          org.springframework.web.filter.OncePerRequestFilter
              org.springframework.orm.hibernate3.support.OpenSessionInViewFilter
                  org.codehaus.groovy.grails.orm.hibernate.support.GrailsOpenSessionInViewFilter

    public class GrailsOpenSessionInViewFilter
    extends org.springframework.orm.hibernate3.support.OpenSessionInViewFilter

Uses the GrailsApplication sessionFactory to apply the filter.

Authors:
  Graeme Rocher

Since:
  Oct 20, 2005

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.support.OpenSessionInViewFilter
DEFAULT_SESSION_FACTORY_BEAN_NAME, ALREADY_FILTERED_SUFFIX

Fields inherited from class org.springframework.web.filter.OncePerRequestFilter
ALREADY_FILTERED_SUFFIX

Method Summary
`protected void` | `closeSession(org.hibernate.Session session, org.hibernate.SessionFactory sessionFactory)`
`protected void` | `doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)`
`protected org.hibernate.Session` | `getSession(org.hibernate.SessionFactory sessionFactory)`
`protected org.hibernate.SessionFactory` | `lookupSessionFactory()`

Methods inherited from class org.springframework.orm.hibernate3.support.OpenSessionInViewFilter
org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setFlushMode(org.hibernate.FlushMode), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setSingleSession(boolean), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setSessionFactoryBeanName(java.lang.String), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#init(javax.servlet.FilterConfig), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#destroy(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setEnvironment(org.springframework.core.env.Environment), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#afterPropertiesSet(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setBeanName(java.lang.String), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#setServletContext(javax.servlet.ServletContext), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#getFilterConfig(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#wait(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#wait(long), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#wait(long, int), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#equals(java.lang.Object), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#toString(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#hashCode(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#getClass(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#notify(), org.springframework.orm.hibernate3.support.OpenSessionInViewFilter#notifyAll()

Methods inherited from class org.springframework.web.filter.OncePerRequestFilter
org.springframework.web.filter.OncePerRequestFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), org.springframework.web.filter.OncePerRequestFilter#init(javax.servlet.FilterConfig), org.springframework.web.filter.OncePerRequestFilter#destroy(), org.springframework.web.filter.OncePerRequestFilter#setEnvironment(org.springframework.core.env.Environment), org.springframework.web.filter.OncePerRequestFilter#afterPropertiesSet(), org.springframework.web.filter.OncePerRequestFilter#setBeanName(java.lang.String), org.springframework.web.filter.OncePerRequestFilter#setServletContext(javax.servlet.ServletContext), org.springframework.web.filter.OncePerRequestFilter#getFilterConfig(), org.springframework.web.filter.OncePerRequestFilter#wait(), org.springframework.web.filter.OncePerRequestFilter#wait(long), org.springframework.web.filter.OncePerRequestFilter#wait(long, int), org.springframework.web.filter.OncePerRequestFilter#equals(java.lang.Object), org.springframework.web.filter.OncePerRequestFilter#toString(), org.springframework.web.filter.OncePerRequestFilter#hashCode(), org.springframework.web.filter.OncePerRequestFilter#getClass(), org.springframework.web.filter.OncePerRequestFilter#notify(), org.springframework.web.filter.OncePerRequestFilter#notifyAll()

Method Detail

### closeSession

    @Override
    protected void closeSession(org.hibernate.Session session, org.hibernate.SessionFactory sessionFactory)

### doFilterInternal

    @Override
    protected void doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)

### getSession

    @Override
    protected org.hibernate.Session getSession(org.hibernate.SessionFactory sessionFactory)

### lookupSessionFactory

    @Override
    protected org.hibernate.SessionFactory lookupSessionFactory()

Groovy Documentation